<?php
/**
 * This script `included` via class method, inherits this variable from that context
 * @var $setup \Magento\Framework\Setup\SchemaSetupInterface
 */
$setup;

/**
 * This script `included` via class method, inherits this variable from that context
 * @var $setup \Magento\Framework\Setup\ModuleContextInterface
 */
$context;

$installer = $setup;
$table = $setup->getTable('pinpoint_carousel');
$setup->getConnection()->addColumn(
    $table,
    'slug',
    [
        'lengh' => 200,
        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
        'nullable' => false,
        'default' => null,
        'comment' => 'Carousel Slug'
    ]
);

$table = $setup->getTable('pinpoint_carousel_slide');
$setup->getConnection()->addColumn(
    $table,
    'cta_text_color',
    [
        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
        'nullable' => true,
        'default' => '',
        'comment' => 'CTA Text Colour'
    ]
);
$setup->getConnection()->addColumn(
    $table,
    'cta_background_color',
    [
        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
        'nullable' => true,
        'default' => '',
        'comment' => 'CTA Text Colour'
    ]
);
$setup->getConnection()->addColumn(
    $table,
    'cta_text_position',
    [
        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
        'nullable' => true,
        'comment' => 'CTA Text Position'
    ]
);
$setup->endSetup();
